use 5.006;
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    'NAME'		=> 'Gaim',
    'VERSION_FROM'	=> './Gaim.pm', # finds $VERSION
    'PREREQ_PM'		=> {}, # e.g., Module::Name => 1.1
    ($] >= 5.005 ?    ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM => './Gaim.pm', # retrieve abstract from module
       AUTHOR     => 'Christian Hammond <chipx86@gnupdate.org>') : ()),
    'LIBS'		=> [''], # e.g., '-lm'
    'DEFINE'		=> '', # e.g., '-DHAVE_SOMETHING'
    'INC'		=> '-I. -I. -I../../.. -I../../../src -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  ', # e.g., '-I. -I/usr/include/other'
    'OBJECT'		=> '$(O_FILES)', # link all the C files too
);

if (eval {require ExtUtils::Constant; 1}) {
	foreach (qw(GAIM_DEBUG_ALL GAIM_DEBUG_MISC GAIM_DEBUG_INFO
	            GAIM_DEBUG_WARNING GAIM_DEBUG_ERROR GAIM_DEBUG_FATAL)) {
		push @names, {name => $_, type => "IV", macro => 1};
	}

	ExtUtils::Constant::WriteConstants(
		NAME    => 'Gaim::DebugLevel',
		NAMES   => \@names,
		C_FILE  => 'const-c.inc',
		XS_FILE => 'const-xs.inc'
	);
}
else {
	use File::Copy;
	use File::Spec;

	foreach my $file ('const-c.inc', 'const-xs.inc') {
		my $fallback = File::Spec->catfile('fallback', $file);
		copy ($fallback, $file) or die "Can't copy $fallback to $file: $!";
	}
}
