/*
 *  $Id$
 */

/**
 *  @file btchat.h
 *
 *  @project btChat (Collin's btChat) (http://www.mulliner.org/bluetooth/btchat/)
 *
 *  @author Collin R. Mulliner <collin(AT)betaversion.net>
 *
 *  main header
 *
 */

#ifndef __BTCHAT_H__
#define __BTCHAT_H__

/* server IP and port */
#define BTCHAT_SERVER_NAME "localhost"
#define BTCHAT_SERVER_PORT 2222

enum btchat_client_state_t {
	BTCHAT_CLIENT_STATE_FIRST = 0,
	BTCHAT_CLIENT_STATE_DISCONNECTED,
	BTCHAT_CLIENT_STATE_DISCONNECTING,
	BTCHAT_CLIENT_STATE_CONNECTING,
	BTCHAT_CLIENT_STATE_CONNECTED,
	BTCHAT_CLIENT_STATE_LAST = 255
};

struct btchat_globals_t {
	
	int socket; /**< the communication socket */
	
	int state;  /**< current local state */

	int inpa;   /**< ? */
	
	char uniq_name[20]; /**< the uniq name - the bdaddr in HEX=AA:BB.. */
	char name[250];     /**< name */
	
	
	unsigned char buffer[0xffff]; /**< read buffer */
	unsigned int buffer_size;     /**< read buffer size */
	unsigned int buffer_pos;      /**< read buffer pos */
};

struct btchat_buddy_info_t {
	
	char bd_addr[20];                         /**< addr as asci-hex xx:xx... */
	struct btcclient_protocol_account_t node; /**< full node information */
};

enum btchat_event_type_t {
	BTCHAT_EVENT_FIRST = 0,
	BTCHAT_EVENT_NULL,
	BTCHAT_EVENT_BTSERVER_HELO,
	BTCHAT_EVENT_MSG,
	BTCHAT_EVENT_STATUS,
	BTCHAT_EVENT_NOTIFY,
	BTCHAT_EVENT_ACCOUNT,
	BTCHAT_EVENT_LAST = 255
};

/**
 *	@brief event received from the server
 */
struct btchat_event_t {

	int etype;

	struct btcclient_protocol_account_t src;
	struct btcclient_protocol_account_t dst;

	union {
		struct {
			int msg_length;
			char *msg;
		} msg;
	} data;
	
	time_t when;
};

#endif

/*
 *  $Log$
 */
